Themes: Klass

theme_klass
Maintained by LMSACE - E-learning development company , Moodle Experts LMSACE e-learning experts
Klass is fully responsive and coded with the latest techniques in HTML5 and CSS3,so it will work on all devices, all browsers, and it does it all seamlessly.Just download and make your e-learn website modern.
3964 sites
7k downloads
143 fans

Klass Theme Version 3.4.0.5

A new Modern Responsive moodle theme ‘Klass’ has been released for your online e-learning websites. This is very very modern theme suitable for your school / college / university and other online educational websites. , This theme is fully responsive meaning your readers can enjoy viewing your site on a android / ios / all devices for a seamless experience. 

Support   Live demo   Report issue




Change log:


29/12/2017: v3.4.0.4

  • fixed js file missing issues

14/11/2017: v3.4.0.3

  • fixed css issues

13/11/2017: v3.4.0.2

  • fixed css issues

10/11/2017: v3.4.0.1

  • Upgraded to support Moodle 3.4

17/05/2017: v1.5.1

  • Fixed installation issues
16/05/2017: v1.5

  • Upgraded to support Moodle 3.3
  • fixed css issues

24/04/2017: v1.4

  • Upgraded to support Moodle 3.2.2+

04/11/2016: v1.3

  • Upgraded to support Moodle 3.1.2+
  • Removed hard coded texts and added language strings for those

28/12/2015 : v1.2

  • Upgraded up to 3.0.1

03/08/2015 : v1.1

  • Added new logo for the theme
  • Theme settings provided for frontpage "Who we are" section
  • Theme settings provided to modify  links in "INFO" block on footer section
  • Theme settings provided to change social media links in "Get social" block on footer section
  • Theme settings provided to change copyright information on footer section

12/07/2015 : v1.0

  • Initial release


Screenshots

Screenshot #0
Screenshot #1
Screenshot #2
Screenshot #3
Screenshot #4

Contributors

LMSACE - E-learning development company , Moodle Experts
LMSACE e-learning experts (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Picture of Skeeter Harris
    Fri, 16 Mar 2018, 8:49 PM
    Hi Mr Anand,

    Thank you so much for your response and I will apply this change to the slider solution you provide. WIth regard to the Front Page and number of new courses, I have set it to 4 but that does not work it shows all my classes at this time.

    Any thoughts on this?

    Again thank you for the guidance on the slider.

    Best wishes,

    Skeeter
  • Picture of nithy anand
    Mon, 19 Mar 2018, 1:32 PM
    Hi Harris and Mario,

    The frontpage setting is Moodle default setting, so it will work without any issue.
    Also, I have checked once again and its working fine.

    Please check once again the path I have informed.

    Path:
    Goto site administration -> Front page -> front page setting -> Maximum number of courses.

    FYI,
    The value should be typed in the text box in the maximum number of courses.

    Do not select the value from the select box (dropdown), it is the Maximum category depth.

    Regards,
    M.Nithyanandan.
  • Picture of Arun Dakshinamurthy
    Wed, 21 Mar 2018, 8:13 PM
    Hi Nithyanandan,

    In an earlier post (to change slider height) you ask to add css codes to theme.scss. However, I only find a field called theme_klass | customcss under the General tab in Klass. Are they the same?
  • Picture of nithy anand
    Thu, 22 Mar 2018, 12:51 PM
    Hi Arun,

    Yes, you can add the css code in the custom css for the slider height.

    Regards,
    M.Nithyanandan
  • Picture of Arun Dakshinamurthy
    Thu, 22 Mar 2018, 5:01 PM
    Hi Nithyanandan,

    I added the following code (from your previous post) to the custom css field, but there is no change in the slider height.

    @media (min-width: 768px) {
    .carousel-inner .carousel-item {
    min-height: 250px;
    }
    }

    Can you please let me know where I might be going wrong.
    Thanks
  • Picture of Skeeter Harris
    Thu, 22 Mar 2018, 8:52 PM
    Hi Nithy,

    So I went back to Administration/Front Page and found the setting for maximum number of course which was set to 100. Changed it to 4 but nothing has happened. Should I try to clear cache or something for this to take affect?

    Thanks - Skeeter
  • Picture of Skeeter Harris
    Thu, 22 Mar 2018, 8:53 PM
    Hello Arum and Nithyanadan,

    What I had to do for the CSS for the slider was to actually drop it into the custom CSS field within the Klass theme itself, once I did that it worked fine for me.

    Skeeter
  • Picture of Arun Dakshinamurthy
    Thu, 22 Mar 2018, 9:41 PM
    Hi Skeeter. Thanks for responding.

    I think I did what you did too, but couldn't see any change. Meanwhile I have been playing around with the following code from Mary Evans:

    .carousel-inner .item {
    min-height: 385px;
    }
    .carousel-overlay-content {
    width: 100%;
    height: 385px;
    }

    I do see some difference, but not what I actually want. I need about 1/3 of the default slider height. When I fiddle around with the numbers above, I could get about 20% reduction in slider height, but not beyond that, no matter what numbers I changed in the above code. I also tried resizing my slides, but to no avail.
  • Picture of Skeeter Harris
    Sun, 25 Mar 2018, 11:36 PM
    Hi Nithyanandan,

    I don't have an answer yet but figure out what I think the disconnect is on the Number of Courses on the home page and what I and a few others have been asking.

    on the home page of the theme you have a section listed as NEW COURSES and then the section below is MY COURSES. What I am trying to change is the section at the top called NEW COURSES. If I follow your directions about going into front page and change number of courses that works but it changes the MY COURSES section and not the listing of new courses at the top of the theme on home page. You can see my installation here - http://ascomuniversity.com

    So my question goes back to how to I change that section to only show me the 4 most recent new courses that have been created in the LMS?

    Thank you - Skeeter
  • Picture of nithy anand
    Mon, 26 Mar 2018, 2:16 PM
    Hi Arun,

    Here is the code to fix the slider height, add this code in the custom css.

    @media (min-width: 768px) {
    .carousel-inner .carousel-item {
    min-height: auto;
    max-height: 250px;
    }
    .carousel-overlay-content {
    height: 250px;
    }
    }

    Regards,
    M.Nithyanandan.
  • Picture of Arun Dakshinamurthy
    Mon, 26 Mar 2018, 8:51 PM
    Hi Nithyanandan, this worked perfectly!!! Thanks so much.
  • Picture of Adriane Cônsolo
    Thu, 5 Apr 2018, 12:22 AM
    I have the same problem's L Defalco. The feature function inserted inside the activities and resource, the buttons "next" and "previous" doesn't appear.
  • Picture of Skeeter Harris
    Fri, 6 Apr 2018, 1:08 AM
    Hi Guys,

    Since I can not get the New Course section to work on the home page with the theme is there anyway to just turn off the New Courses Section all together?

    Thanks - Skeeter
  • Picture of Daniel Avon
    Sun, 8 Apr 2018, 6:59 AM
    Hello,
    My slideshow does not work. It is stuck at the first image and there is no transition to the next image (Moodle 3.2).
    Thank you very much
    Daniel
  • Picture of Adilson Miguel Silva
    Fri, 13 Apr 2018, 10:43 PM
    For those who would like to change the logo size in header, as the instructions in logo input at the theme configuration are misleading, the solution is changing line 4618 in scss file 'theme.scss' (path: \theme\klass\scss\preset\theme.scss) where it reads ' max-width: 170px' to the width you would like your logo to be. The height you make your logo will be respected by the system, so it doesn't matter it is 200x80, 300x100, 400x80. The drawback is that the higher the logo, the higher the header will be and the links on the right side will be aligned to the top, not the middle. In my case, I changed max-width from 170 to 600, just have some margin for errors, and uploaded an image of 400x127. It worked perfectly.
1 2 3 4 5 6 7 8 9 10 11 12
Please login to post comments